Bug 22945 - Markup error in OPAC search results around lists display
Summary: Markup error in OPAC search results around lists display
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords: Academy
Depends on:
Blocks:
 
Reported: 2019-05-21 12:08 UTC by Owen Leonard
Modified: 2019-06-20 14:08 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00,19.05.01


Attachments
Bug 22945: Markup error in OPAC search results around lists display (3.15 KB, patch)
2019-05-21 12:15 UTC, Owen Leonard
Details | Diff | Splinter Review
Eliminates both error messages. Looks good, thanks Owen. (3.22 KB, patch)
2019-06-14 21:24 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 22945: Markup error in OPAC search results around lists display (3.27 KB, patch)
2019-06-17 20:33 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2019-05-21 12:08:43 UTC
There are a couple of markup errors in opac-results.tt which trigger HTML validation errors:

 - "Text not allowed in element ul in this context."
 - "Stray end tag span."
Comment 1 Owen Leonard 2019-05-21 12:15:08 UTC
Created attachment 89934 [details] [review]
Bug 22945: Markup error in OPAC search results around lists display

This patch makes minor corrections to the template for OPAC search
results. These corrections fix errors returned by the HTML validator.

To reproduce the problem, perform a search in the OPAC which will return
results which are on one or more lists. Run the page through the W3C
validation service: https://validator.w3.org. Either by pasting in the
URL for the search results (if web accessible) or by viewing source,
copying, and pasting into "Validate by Direct Input."

This patch addresses two specific errors:

 - "Text not allowed in element ul in this context."
 - "Stray end tag span."

To test, apply the patch and try again to reproduce the validation
errors. Those errors should no longer be present. There should be no
visible change to the search results view.
Comment 2 Lucas Gass 2019-06-14 21:24:23 UTC
Created attachment 90634 [details] [review]
Eliminates both error messages. Looks good, thanks Owen.

Bug 22945: Markup error in OPAC search results around lists display

This patch makes minor corrections to the template for OPAC search
results. These corrections fix errors returned by the HTML validator.

To reproduce the problem, perform a search in the OPAC which will return
results which are on one or more lists. Run the page through the W3C
validation service: https://validator.w3.org. Either by pasting in the
URL for the search results (if web accessible) or by viewing source,
copying, and pasting into "Validate by Direct Input."

This patch addresses two specific errors:

 - "Text not allowed in element ul in this context."
 - "Stray end tag span."

To test, apply the patch and try again to reproduce the validation
errors. Those errors should no longer be present. There should be no
visible change to the search results view.

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>
Comment 3 Katrin Fischer 2019-06-17 20:33:49 UTC
Created attachment 90698 [details] [review]
Bug 22945: Markup error in OPAC search results around lists display

This patch makes minor corrections to the template for OPAC search
results. These corrections fix errors returned by the HTML validator.

To reproduce the problem, perform a search in the OPAC which will return
results which are on one or more lists. Run the page through the W3C
validation service: https://validator.w3.org. Either by pasting in the
URL for the search results (if web accessible) or by viewing source,
copying, and pasting into "Validate by Direct Input."

This patch addresses two specific errors:

 - "Text not allowed in element ul in this context."
 - "Stray end tag span."

To test, apply the patch and try again to reproduce the validation
errors. Those errors should no longer be present. There should be no
visible change to the search results view.

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Martin Renvoize 2019-06-18 09:07:46 UTC
Nice work!

Pushed to master for 19.11.00
Comment 5 Fridolin SOMERS 2019-06-20 14:08:13 UTC
Pushed to 19.05.x for 19.05.01